org.jboss.shrinkwrap.descriptor.api.javaee7

## Enum TransactionSupportType

- java.lang.Object
- - java.lang.Enum<TransactionSupportType>
  - - org.jboss.shrinkwrap.descriptor.api.javaee7.TransactionSupportType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionSupportType>

      public enum TransactionSupportType
      extends java.lang.Enum<TransactionSupportType>

  This class implements the `transaction-supportType` xsd type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_LOCALTRANSACTION`
    `_NOTRANSACTION`
    `_XATRANSACTION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionSupportType` | `getFromStringValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static TransactionSupportType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionSupportType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _NOTRANSACTION

          public static final TransactionSupportType _NOTRANSACTION

    - #### _LOCALTRANSACTION

          public static final TransactionSupportType _LOCALTRANSACTION

    - #### _XATRANSACTION

          public static final TransactionSupportType _XATRANSACTION

  - ### Method Detail

    - #### values

          public static TransactionSupportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionSupportType c : TransactionSupportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionSupportType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TransactionSupportType>`

    - #### getFromStringValue

          public static TransactionSupportType getFromStringValue(java.lang.String value)

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)